Subject: Re: [RFC PATCH 0/3] powerpc64/bpf: Add support for BPF Trampolines

From: "Naveen N. Rao" <[email-masked]>
Date: Mon, 14 Feb 2022 16:17:00 +0530

Christophe Leroy wrote:
> 
> 
> Le 07/02/2022 à 08:07, Naveen N. Rao a écrit :
>> This is an early RFC series that adds support for BPF Trampolines on
>> powerpc64. Some of the selftests are passing for me, but this needs more
>> testing and I've likely missed a few things as well. A review of the
>> patches and feedback about the overall approach will be great.
>> 
>> This series depends on some of the other BPF JIT fixes and enhancements
>> posted previously, as well as on ftrace direct enablement on powerpc
>> which has also been posted in the past.
> 
> Is there any reason to limit this to powerpc64 ?

I have limited this to elf v2, and we won't be able to get this working 
on elf v1, since we don't have DYNAMIC_FTRACE_WITH_REGS supported there. 
We should be able to get this working on ppc32 though.

- Naveen